Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 27 Aug 2014, 12:58
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
When clicking Quickpet & Internet there's no version of FF!
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Author Message
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Tue 09 Jul 2013, 12:09    Post subject:  When clicking Quickpet & Internet there's no version of FF!
Subject description: SOLVED - So one cannot tell what's going to be downloaded.
 

I know there're many more updated versions of FF available than the one I'm using right now, which is 14.0.1, somewhere. My OS is Puppy Linux 5.28.005.

I browsed a sub-forum for the referenced pet-file but nothing official was found. My question is what & where is the most recent version that I can use with my OS?

PS. Can it benefit me to update, instead, the puppy version I'm running?

Thanks for any info on these subjects!

PSS. Should I, in the future, post my questions in this forum or it's more correct to use one of the sub-forums?

EDIT: After finally accepting that in linux one can accept to update FF as suggested by itself or one can upgrade to a newer Puppy &, often, solve that issue I consider this problem SOLVED. In fact, I'm writing this from Slacko-5.5.4G's FF19.0.

_________________
Sony VAIO VGN AR250G Notebook + 512MB RAM.
Need color of cables of 2 connectors at top & down side of Dell monitor 1704FPTt (look through vents at right side at the back)


Last edited by benny7440 on Fri 26 Jul 2013, 15:20; edited 1 time in total
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1660
Location: wales

PostPosted: Tue 09 Jul 2013, 13:33    Post subject:  

hi benny7440,

open firefox, then click the 'help' menu, then 'about firefox' and you should get an option to update it there

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Tue 09 Jul 2013, 16:10    Post subject:  

Thanks for replying 666philb!

Two times in my life, close to the point in time when I switched from Windows to Linux (BTW, it was a Puppy version in each case) many years ago I ended up breaking things down. The process I used then was exactly the one you're proposing now (or a very close one --by accepting the proposed version on the daily Mozilla message window).

They offer(ed) updates just for Windows OS (back then). I must admit that I never repeated my attempt at it again...

Someone explained to me then that for a program to work within linux it should be written with that in mind: compilation, dependencied, libs, kernel...<--- all these were important &, most likely, indispensible!

Are you telling me that Mozilla is making available a linux version for my Puppy now?

Edit: In fact, I clicked on that button & it started to download a 24.1MB file... just finished downloading; now it's asking me to click again on Apply Update. Again, are you SURE that Mozilla revised my system enough to know that I need a linux copy of their software & that that is what I downloaded?

_________________
Sony VAIO VGN AR250G Notebook + 512MB RAM.
Need color of cables of 2 connectors at top & down side of Dell monitor 1704FPTt (look through vents at right side at the back)


Last edited by benny7440 on Tue 09 Jul 2013, 16:21; edited 1 time in total
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3762
Location: World_Hub

PostPosted: Tue 09 Jul 2013, 16:15    Post subject:  

Benny- leave the complication bit out and simply follow Philb's lead.. 'help' >> 'about' >> check for updates.
Back to top
View user's profile Send private message 
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Tue 09 Jul 2013, 16:49    Post subject:  

Ok, I did it! It worked much better than I expected; thanks to you too, Semme for your encouragement!

I'm not saying all is well, either...

1) my previous Flash plugin isn't working anymore, for security reasons??? (as reported by FF);
2) my Quicktime plugin, neither;

I tried to update first the Flash but I found out that the page for downloading was NOT available... So, I can't hear my favorite web-station ('cause the Play button dissappeared). Second, I tried to update the other plugin but can't find where it might be found...

I think some guidance from knowledgeable people to solve these 2 issues is needed by my part.

Thanks in advance for your help!
Back to top
View user's profile Send private message 
gcmartin

Joined: 14 Oct 2005
Posts: 4227
Location: Earth

PostPosted: Tue 09 Jul 2013, 17:09    Post subject:  

Check your system's PPM for latest version of those. If not found, search this forum for PETs which can be added to your system.

Hope this helps

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3762
Location: World_Hub

PostPosted: Tue 09 Jul 2013, 17:13    Post subject:  

Benny- does this state your version? You need one of these. If the first doesn't work- install the second right on top..
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3762
Location: World_Hub

PostPosted: Tue 09 Jul 2013, 18:18    Post subject:  

So like.. whaddaya do'n there Benny? C'mon guy- TODAY!
Back to top
View user's profile Send private message 
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Tue 09 Jul 2013, 18:39    Post subject:  

Note: I was writing this post at the same time you did yours but you posted first...

Thanks Semme, gcmartin (good to hear from you again) & 666philb, for your good support!

I've a little confussion with what's reported by the Tools>Add-ons page but it seems to be working, I mean the web-radio station I mentioned before. It reports 2 instances of the plug-in, though.

For this to work out I had to re-start FF first (no big deal).

Since it's working now I'm not going to deal with this any more, but I'll check later if, indeed, I've the most updated Flash plugin version as well as the Quicktime one that never found nowhere. I also need to ask you if I've to do something with the previous Flash plugin because it's still showing?

PS. Semme, if you're interested in the atmosphere around me I'll tell you to look for Chantal (tropical storm + Caribbean) in Google. I also have to run now in order to use my lawnmower at least for 30 mins (if I'm lucky)...
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3762
Location: World_Hub

PostPosted: Tue 09 Jul 2013, 18:47    Post subject:  

Very Happy Mow that lawn Champ!

Plugins >> Shockwave Flash says you're run'n which version?

QuickTime's in PPM, listed as: gecko-mediaplayer-1.0.6

FF's >> 'help' >> 'about' says 22.0, right?

Is your browsers language English?

en-GB, en-ZA or en-US?
Back to top
View user's profile Send private message 
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Wed 10 Jul 2013, 09:53    Post subject:  

The "Java (TM) Plug-in 1.6.0_22" showed Disabled & I enabled it after checking them today (haven't restarted FF yet to see if there's any change in behavior). I'm uploading a screenshot of the page for you to inspect, Semme.

The version of the running FF is indeed 22.0 and my language is English (en-US).[/img]
my_plugins.png
Description  These were my plugins page after enabling the last one entry: Java(TM) Plug-in
png

 Download 
Filename  my_plugins.png 
Filesize  154.18 KB 
Downloaded  115 Time(s) 
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3762
Location: World_Hub

PostPosted: Wed 10 Jul 2013, 09:57    Post subject:  

So long as your *typical* Flash sites work, leave Java disabled unless you KNOW one requires it.
Back to top
View user's profile Send private message 
benny7440


Joined: 20 Apr 2009
Posts: 416

PostPosted: Wed 10 Jul 2013, 10:59    Post subject:  

What do you think I should do with the old flash plugin that's still showing there?
Back to top
View user's profile Send private message 
Burn_IT


Joined: 12 Aug 2006
Posts: 991
Location: Tamworth UK

PostPosted: Wed 10 Jul 2013, 11:27    Post subject:  

Remove it.
_________________
I can't remember the last time I forgot something!
Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 863
Location: London, England

PostPosted: Wed 10 Jul 2013, 11:30    Post subject:  

If you click the blue "more" link it may tell you the folder path to the old "libflashplayer.so" lib.

The new one should be in /usr/lib/mozilla/plugins and there shouldn't be two of the same name in there. There are other locations where Firefox will find the Flash Player plugin and that may be why you have two instances. If you can find the old "libflashplayer.so" you can just delete the file. Maybe even use Pfind to search for "libflashplayer.so".

Flash Player was updated to 11.2.202.297 yesterday so you may wish to uninstall the .pet via PPM and install the .pet of the new version.

_________________
Oscar in England

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0781s ][ Queries: 13 (0.0055s) ][ GZIP on ]